DISC(4)

NAME
disc - software discard network interface

SYNOPSIS
device disc

DESCRIPTION
The disc interface is a software discard mechanism which may be used for performance analysis and/or software testing. As with other network interfaces, the discard interface must have network addresses assigned for each address family with which it is to be used. These addresses may be set or changed with the SIOCSIFADDR ioctl(2).

Each disc interface is created at runtime using interface cloning. This is most easily done with the ifconfig(8) create command or using the cloned_interfaces variable in rc.conf(5).

SEE ALSO
inet(4), intro(4)

HISTORY
The disc device appears to have been derived from the lo(4) device around the time of 4.4BSD. This manpage was adapted from lo(4) and first appeared in FreeBSD 5.0.